org.eclipse.viatra.query.runtime.rete.recipes

## Interface InequalityFilterRecipe

- All Superinterfaces:
    AlphaRecipe, org.eclipse.emf.ecore.EObject, FilterRecipe, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe, SingleParentNodeRecipe
  All Known Implementing Classes:
    InequalityFilterRecipeImpl

      public interface InequalityFilterRecipe
      extends FilterRecipe

  A representation of the model object 'Inequality Filter Recipe'.

  The following features are supported:

  - `Subject`
  - `Inequals`
  See Also:
    `RecipesPackage.getInequalityFilterRecipe()`
  Generated:
  Model:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<java.lang.Integer>` | `getInequals()` Returns the value of the 'Inequals' attribute list.
    `java.lang.Integer` | `getSubject()` Returns the value of the 'Subject' attribute.
    `void` | `setSubject(java.lang.Integer value)` Sets the value of the '`Subject`' attribute.

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.FilterRecipe

      `getArity`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.SingleParentNodeRecipe

      `getParent, setParent`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

  - ### Method Detail

    - #### getSubject

          java.lang.Integer getSubject()

      Returns the value of the 'Subject' attribute.
      Returns:
        the value of the 'Subject' attribute.
      See Also:
        `setSubject(Integer)`, `RecipesPackage.getInequalityFilterRecipe_Subject()`
      Generated:
      Model:
        unique="false" dataType="org.eclipse.viatra.query.runtime.rete.recipes.Index"

    - #### setSubject

          void setSubject(java.lang.Integer value)

      Sets the value of the '`Subject`' attribute.
      Parameters:
        `value` - the new value of the 'Subject' attribute.
      See Also:
        `getSubject()`
      Generated:

    - #### getInequals

          org.eclipse.emf.common.util.EList<java.lang.Integer> getInequals()

      Returns the value of the 'Inequals' attribute list. The list contents are of type `Integer`.
      Returns:
        the value of the 'Inequals' attribute list.
      See Also:
        `RecipesPackage.getInequalityFilterRecipe_Inequals()`
      Generated:
      Model:
        unique="false" dataType="org.eclipse.viatra.query.runtime.rete.recipes.Index"